import App from './App'
import store from './store'
import './polyfill'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

import uniui from '@dcloudio/uni-ui';
Vue.use(uniui);
Vue.config.productionTip = false
Vue.prototype.$store = store
App.mpType = 'app'
const app = new Vue({
	store,
  ...App
  
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import CommonTabbar from './components/commonTabbar.vue'

export function createApp() {
  const app = createSSRApp(App)
  app.use(store)
  app.component('CommonTabbar', CommonTabbar)
  return {
    app
  }
}
// #endif